haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.Signal

Synopsis

- genSignal :: Signal -> Name -> CodeGen e ()
- genCallback :: Name -> Callback -> CodeGen e ()
- signalHaskellName :: Text -> Text

# Documentation

genSignal :: Signal -> Name -> CodeGen e () Source #

Generate a wrapper for a signal.

genCallback :: Name -> Callback -> CodeGen e () Source #

signalHaskellName :: Text -> Text Source #

Return the name for the signal in Haskell CamelCase conventions.